Invoice line items by contract

Retrieve invoice line items for a given contract id. Token scopes: invoice-adjustments:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Query parameters

contract_typeslist of enums or enumOptional
types of contracts to filter
typeslist of enums or enumOptional
types of invoice adjustments to filter
statuseslist of enums or enumOptional
statuses of invoice adjustment to filter
invoice_idstringOptional
ID of an existing invoice
reporter_idstringOptionalformat: "uuid"
ID of an existing profile
date_fromstringOptionalformat: "date"

To get invoice adjustments submitted on or after given start date (inclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

date_tostringOptionalformat: "date"

To get invoice adjustments submitted before given end date (excludes records submitted on this date). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

limitstringOptionalformat: "^[1-9][0-9]?$|^100$"

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

offsetstringOptional

Return a page of results after given index of row; NOTE: technically ALL query parameters are strings or array of strings

Response

Successful operation.
datalist of objects
pageobject

Errors